Loading...
Searching...
No Matches
detail::members_handler Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::members_handler:
[legend]

## Static Public Member Functions

template<typename TDummy >
static void | set_value (RelationMemberListBuilder &, const TDummy &) noexcept
static void | set_value (RelationMemberListBuilder &builder, const attr::_member &member)
template<typename TIterator >
static void | set_value (RelationMemberListBuilder &builder, const attr::detail::members_from_iterator_pair< TIterator > &members)

## Member Function Documentation

## set_value() [1/3]

template<typename TDummy >

static void detail::members_handler::set_value | ( | RelationMemberListBuilder & | ,
|  | const TDummy & |
| ) |  |

inline static noexcept

## set_value() [2/3]

static void detail::members_handler::set_value | ( | RelationMemberListBuilder & | builder,
|  | const attr::_member & | member
| ) |  |

inline static

## set_value() [3/3]

template<typename TIterator >

static void detail::members_handler::set_value | ( | RelationMemberListBuilder & | builder,
|  | const attr::detail::members_from_iterator_pair< TIterator > & | members
| ) |  |

inline static

The documentation for this struct was generated from the following file:

- include/osmium/builder/attr.hpp